package com.infoepoch.pms.agent.platform.model.domain.irepository;

import com.infoepoch.pms.agent.common.utils.AbstractCriteria;

/**
 * @author jiangyz
 * @date 2026/4/17 15:36
 * 系统全局配置键值对查询条件
 */
public class SystemSettingsCriteria extends AbstractCriteria {

    //region 键
    public boolean byKey() {
        return this.andMap.containsKey("Key");
    }

    private String key;

    public String getKey() {
        if (byKey())
            return key;
        return null;
    }

    public void setKey(String value) {
        this.key = value;
        this.andMap.put("Key", value);
    }
    //endregion

    //region 键模糊查询
    public boolean byKeyContain() {
        return this.andMap.containsKey("KeyContain");
    }

    private String keyContain;

    public String getKeyContain() {
        if (byKeyContain())
            return keyContain;
        return null;
    }

    public void setKeyContain(String value) {
        this.keyContain = value;
        this.andMap.put("KeyContain", value);
    }
    //endregion

}